# API Reference

```@meta
CurrentModule = FunSQL
```

```@autodocs
Modules = [FunSQL]
Pages = ["FunSQL.jl"]
```


## `render()`

```@autodocs
Modules = [FunSQL]
Pages = ["render.jl"]
```


## `reflect()`

```@autodocs
Modules = [FunSQL]
Pages = ["reflect.jl"]
```


## `SQLConnection` and `SQLStatement`

```@autodocs
Modules = [FunSQL]
Pages = ["connections.jl"]
```


## `SQLCatalog` and `SQLTable`

```@autodocs
Modules = [FunSQL]
Pages = ["catalogs.jl"]
```


## `SQLDialect`

```@autodocs
Modules = [FunSQL]
Pages = ["dialects.jl"]
```


## `SQLString`

```@autodocs
Modules = [FunSQL]
Pages = ["strings.jl"]
```


## `SQLNode`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes.jl"]
```


## `Agg`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/aggregate.jl"]
```


## `Append`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/append.jl"]
```


## `As`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/as.jl"]
```


## `Bind`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/bind.jl"]
```


## `Define`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/define.jl"]
```


## `From`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/from.jl"]
```


## `Fun`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/function.jl"]
```


## `Get`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/get.jl"]
```


## `Group`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/group.jl"]
```


## `Highlight`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/highlight.jl"]
```


## `Iterate`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/iterate.jl"]
```


## `Join`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/join.jl"]
```


## `Limit`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/limit.jl"]
```


## `Lit`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/literal.jl"]
```


## `Order`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/order.jl"]
```


## `Over`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/over.jl"]
```


## `Partition`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/partition.jl"]
```


## `Select`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/select.jl"]
```


## `Sort`, `Asc`, and `Desc`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/sort.jl"]
```


## `Var`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/variable.jl"]
```


## `Where`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/where.jl"]
```


## `With`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/with.jl"]
```


## `WithExternal`

```@autodocs
Modules = [FunSQL]
Pages = ["nodes/with_external.jl"]
```


## `SQLClause`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses.jl"]
```


## `AGG`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/aggregate.jl"]
```


## `AS`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/as.jl"]
```


## `FROM`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/from.jl"]
```


## `FUN`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/function.jl"]
```


## `GROUP`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/group.jl"]
```


## `HAVING`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/having.jl"]
```


## `ID`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/identifier.jl"]
```


## `JOIN`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/join.jl"]
```


## `LIMIT`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/limit.jl"]
```


## `LIT`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/literal.jl"]
```


## `NOTE`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/note.jl"]
```


## `ORDER`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/order.jl"]
```


## `PARTITION`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/partition.jl"]
```


## `SELECT`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/select.jl"]
```


## `SORT`, `ASC`, and `DESC`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/sort.jl"]
```


## `UNION`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/union.jl"]
```


## `VALUES`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/values.jl"]
```


## `VAR`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/variable.jl"]
```


## `WHERE`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/where.jl"]
```


## `WINDOW`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/window.jl"]
```


## `WITH`

```@autodocs
Modules = [FunSQL]
Pages = ["clauses/with.jl"]
```

